package com.daniebeler.pfpixelix.di

import com.daniebeler.pfpixelix.domain.repository.CountryRepository
import com.daniebeler.pfpixelix.domain.usecase.SearchLocationUseCase
import com.daniebeler.pfpixelix.domain.usecase.SearchUseCase
import dagger.Module
import dagger.Provides
import dagger.hilt.InstallIn
import dagger.hilt.components.SingletonComponent
import javax.inject.Singleton

@Module
@InstallIn(SingletonComponent::class)
class SearchModule {

    @Provides
    @Singleton
    fun provideSearchUseCase(repository: CountryRepository): SearchUseCase =
        SearchUseCase(repository)

    @Provides
    @Singleton
    fun provideSearchLocationUseCase(repository: CountryRepository): SearchLocationUseCase =
        SearchLocationUseCase(repository)

}